function apiUrl() {
  let url = '';
  const {
    miniProgram: {
      envVersion
    }
  } = wx.getAccountInfoSync();
  const devUrl = "http://hwdev.test241.wanyuhengtong.com/";
  const prodUrl = "https://hwpro.api.mingbaihui.com/";

  switch (envVersion) {
    case 'release':
      url = prodUrl;
      break;
    default:
      //'develop' 'trial'
      url = devUrl;
      break;
  }
  return url
}
export const request = (method: String, url: String, data: Object) => {
  const header = {
    "Content-Type": "application/json"
  };

  const token = wx.getStorageSync("hw_token")
  return new Promise((resolve, reject) => {
    wx.request({
      url: apiUrl() + url, // api url
      method, // get/post
      data: {
        ...data,
        token
      }, // 请求参数
      header: header, // 头部
      success(res) {
        // 请求成功
        // 判断状态码---errCode状态根据后端定义来判断
        const {
          statusCode,
          data: rdata
        } = res
        if (statusCode === 200) {
          resolve(rdata);
        } else {
          reject("未知错误,请稍后再试");
        }
      },
      fail(err) {
        reject(err);
      },
      // complete() {
      //   wx.hideLoading()
      // },
    });
  });

}








