// index.js
// 获取应用实例
import { valMobile, valCode } from "../../../utils/validate"
import { loginByMobile, getCodebyMombile } from "../../../api/serverUser";
import {
  createStoreBindings
} from 'mobx-miniprogram-bindings'
import {
  store
} from "../../../store/index";
var timer: any = null;
Page({
  data: {
    radio: false,
    mobile: "17744520490",
    code: '123456',
    number: 60,
    loading: false
  },
  onLoad() {
    this.storeBindings = createStoreBindings(this, {
      store,
      actions: ["setStore"],
    });
  },
  onUnload() {
    if (timer) {
      clearTimeout(timer)
    }
    this.storeBindings.destroyStoreBindings();
  },


  inputChange(e) {
    const {
      type
    } = e.currentTarget.dataset
    let model = {}
    if (type === 'mobile') {
      model.mobile = e.detail
    } else {
      model.code = e.detail
    }
    this.setData(model)
  },
  async loginTap() {
    const {
      radio,
      mobile,
      code,
      loading
    } = this.data
    if (loading) {
      return
    }

    if (radio === false) {
      this.showToastMsg('请阅读并勾选用户协议！')
      return
    }
    const msg = valMobile(mobile)
    if (msg) {
      this.showToastMsg(msg)
      return
    }
    const cmsg = valCode(code)
    if (cmsg) {
      this.showToastMsg(cmsg)
      return
    }
    this.setData({
      loading: true
    })
    const res = await loginByMobile({
      mobile,
      code
    })
    if (res.code === 1) {
      await this.setStore(res.data.token, res.data.mobile)
      wx.reLaunch({
        url: '/pages/index/index',
      })
    } else if (res.code === 1004) {
      this.showToastMsg('验证码校验失败!')
    } else if (res.code === 1005) {
      this.showToastMsg('验证码已失效!')
    } else if (res.code === 1006) {
      this.showToastMsg('验证码不存在!')
    } else {
      this.showToastMsg(res.msg)
    }
    this.setData({
      loading: false
    })
  },
  showToastMsg(msg) {
    wx.showToast({
      title: msg,
      icon: 'none',
      duration: 2000
    })
  },

  async codeTap() {
    const {
      number,
      mobile
    } = this.data
    if (number !== 60) {
      return
    }
    const masage = validate.valMobile(mobile)
    if (masage) {
      this.showToastMsg(masage)
    } else {
      // const {
      //   code,
      //   msg
      // } = await getCodebyMombile({
      //   mobile
      // })
      const code = 1
      if (code === 1) {
        timer = setInterval(() => {
          let numbers = this.data.number
          if (numbers !== 0) {
            numbers--
            this.setData({
              number: numbers
            })
          } else {
            if (timer) {
              clearTimeout(timer)
              this.setData({
                number: 60
              })
            }
          }
        }, 1000);
      } else if (code === 1001) {
        this.showToastMsg('验证码发送失败！')
      } else if (code === 1002) {
        this.showToastMsg('验证码未过期，请2分钟后重试！')
      } else if (code === 1003) {
        this.showToastMsg('验证码发送失败！！')
      } else {
        this.showToastMsg(msg)
      }



    }
  },

  registerTap() {
  },
  clickTap(e) {
    const {
      type
    } = e.currentTarget.dataset
    wx.navigateTo({
      url: `../${type}/index`
    })
  },
  radioTap() {
    this.setData({
      radio: !this.data.radio,
    });
  },

})